List Figma frames
curl --request POST \
--url https://public-api.adclear.ai/v1/links/figma/frames \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-External-User-ID: <x-external-user-id>' \
--data '
{
"url": "https://www.figma.com/design/AbCdEf123/My-Designs"
}
'import requests
url = "https://public-api.adclear.ai/v1/links/figma/frames"
payload = { "url": "https://www.figma.com/design/AbCdEf123/My-Designs" }
headers = {
"X-External-User-ID": "<x-external-user-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-External-User-ID': '<x-external-user-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: 'https://www.figma.com/design/AbCdEf123/My-Designs'})
};
fetch('https://public-api.adclear.ai/v1/links/figma/frames', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileName": "<string>",
"pages": [
{
"id": "<string>",
"name": "<string>",
"frames": [
{
"frameId": "<string>",
"name": "<string>",
"width": 123,
"height": 123
}
]
}
],
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Links
List Figma frames
Lists the pages and frames of a Figma file so a frame can be selected for import via POST /v1/links. The file must be shared with “anyone with the link”. This endpoint is limited to 10 requests per minute per API key.
POST
/
v1
/
links
/
figma
/
frames
List Figma frames
Authorizations
Unkey API key passed as Bearer token
Headers
External user identifier from the calling system
External user email from the calling system
Body
application/json
Figma file URL (figma.com)
Maximum string length:
2048Example:
"https://www.figma.com/design/AbCdEf123/My-Designs"
Was this page helpful?
⌘I